/// <reference types="react" />
import { StyleProp, ViewStyle } from 'react-native';
import { NavigationRoute } from 'react-navigation';
import { EdgeInsets } from 'react-native-safe-area-context';
import { Layout, HeaderScene, NavigationStackProp, HeaderStyleInterpolator } from '../../types';
export declare type Props = {
    mode: 'float' | 'screen';
    layout: Layout;
    insets: EdgeInsets;
    scenes: Array<HeaderScene | undefined>;
    navigation: NavigationStackProp;
    getPreviousRoute: (props: {
        route: NavigationRoute;
    }) => NavigationRoute | undefined;
    onContentHeightChange?: (props: {
        route: NavigationRoute;
        height: number;
    }) => void;
    styleInterpolator: HeaderStyleInterpolator;
    style?: StyleProp<ViewStyle>;
};
export default function HeaderContainer({ mode, scenes, layout, insets, navigation, getPreviousRoute, onContentHeightChange, styleInterpolator, style, }: Props): JSX.Element;
