import * as React from 'react';
import Animated from 'react-native-reanimated';
import { EdgeInsets } from 'react-native-safe-area-context';
import { Layout, HeaderStyleInterpolator, HeaderOptions, HeaderScene } from '../../types';
export declare type Scene<T> = {
    route: T;
    progress: Animated.Node<number>;
};
declare type Props = HeaderOptions & {
    layout: Layout;
    insets: EdgeInsets;
    onGoBack?: () => void;
    title?: React.ReactNode;
    leftLabel?: string;
    scene: HeaderScene;
    styleInterpolator: HeaderStyleInterpolator;
};
declare type State = {
    titleLayout?: Layout;
    leftLabelLayout?: Layout;
};
export declare const getDefaultHeaderHeight: (layout: Layout, insets: import("react-native-safe-area-context/lib/typescript/src/SafeArea.types").EdgeInsets | null) => number;
export default class HeaderSegment extends React.Component<Props, State> {
    state: State;
    private handleTitleLayout;
    private handleLeftLabelLayout;
    private getInterpolatedStyle;
    render(): JSX.Element;
}
export {};
